GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Labels Class Reference

## Public Member Functions
TemplateSet | getTemplateSet ()
void | setTemplateSet (TemplateSet value)
LabelFormat | getLabelFormat ()
void | setLabelFormat (LabelFormat value)

## Protected Attributes
TemplateSet | templateSet
LabelFormat | labelFormat

## Detailed Description

The service shall return the labels in the defined format using the defined templates

Java class for Labels complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Labels">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="TemplateSet" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}TemplateSet"/>
            <element name="LabelFormat" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}LabelFormat"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 40 of file Labels.java.

## Member Function Documentation

## ◆ getLabelFormat()

LabelFormat eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Labels.getLabelFormat | ( |  | ) |

Gets the value of the labelFormat property.

Returns
  possible object is LabelFormat

Definition at line 81 of file Labels.java.

## ◆ getTemplateSet()

TemplateSet eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Labels.getTemplateSet | ( |  | ) |

Gets the value of the templateSet property.

Returns
  possible object is TemplateSet

Definition at line 57 of file Labels.java.

## ◆ setLabelFormat()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Labels.setLabelFormat | ( | LabelFormat | value | ) |

Sets the value of the labelFormat property.

Parameters

  value | allowed object is LabelFormat

Definition at line 93 of file Labels.java.

## ◆ setTemplateSet()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Labels.setTemplateSet | ( | TemplateSet | value | ) |

Sets the value of the templateSet property.

Parameters

  value | allowed object is TemplateSet

Definition at line 69 of file Labels.java.

## Member Data Documentation

## ◆ labelFormat

LabelFormat eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Labels.labelFormat
| protected

Definition at line 47 of file Labels.java.

## ◆ templateSet

TemplateSet eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Labels.templateSet
| protected

Definition at line 44 of file Labels.java.

The documentation for this class was generated from the following file:

- Labels.java